msgpack::adaptor::convert< std::string > Struct Template Reference

`#include <string.hpp>`

## Public Member Functions

msgpack::object const & | operator() (msgpack::object const &o, std::string &v) const

## Member Function Documentation

## operator()()

msgpack::object const& msgpack::adaptor::convert< std::string >::operator() | ( | msgpack::object const & | o,
|  | std::string & | v
| ) |  | const

inline

References msgpack::type::BIN, msgpack::object::union_type::bin, msgpack::object_str::ptr, msgpack::object_bin::ptr, msgpack::object_str::size, msgpack::object_bin::size, msgpack::type::STR, msgpack::object::union_type::str, msgpack::object::type, and msgpack::object::via.

The documentation for this struct was generated from the following file:

- /build/msgpack-c-kSv3lu/msgpack-c-3.0.1/include/msgpack/v1/adaptor/string.hpp